<?xml version="1.0"?>
<tables>
    <!-- Locations of all fasta files under genome directory -->
    <table name="all_fasta" comment_char="#">
        <columns>value, dbkey, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/all_fasta.loc" />
    </table>
    <!-- Locations of dbkeys and len files under genome directory -->
    <table comment_char="#" name="__dbkeys__">
        <columns>value, name, len_path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/dbkeys.loc" />
    </table>
    <!-- Locations of indexes in the BFAST mapper format -->
    <table name="bfast_indexes" comment_char="#">
        <columns>value, dbkey, formats, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/bfast_indexes.loc" />
    </table>
    <!-- Locations of nucleotide (mega)blast databases -->
    <table name="blastdb" comment_char="#">
        <columns>value, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/blastdb.loc" />
    </table>
    <!-- Locations of protein (mega)blast databases -->
    <table name="blastdb_p" comment_char="#">
        <columns>value, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/blastdb_p.loc" />
    </table>
    <!-- Locations of indexes in the Bowtie2 mapper format -->
    <table name="bowtie2_indexes" comment_char="#">
        <columns>value, dbkey, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/bowtie2_indices.loc" />
    </table>
    <!-- Locations of indexes in the BWA 0.6+ mapper format -->
    <table name="bwa_mem_indexes" comment_char="#">
        <columns>value, dbkey, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/bwa_mem_index.loc" />
    </table>
    <!-- Locations of indexes in the BWA mapper format -->
    <table name="bwa_indexes" comment_char="#">
        <columns>value, dbkey, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/bwa_index.loc" />
    </table>
    <!-- Locations of indexes in the BWA color-space mapper format -->
    <table name="bwa_indexes_color" comment_char="#">
        <columns>value, dbkey, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/bwa_index_color.loc" />
    </table>
    <!-- Locations of MAF files that have been indexed with bx-python -->
    <table name="indexed_maf_files">
        <columns>name, value, dbkey, species</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/maf_index.loc" />
    </table>
    <!-- Locations of fasta files appropriate for NGS simulation -->
    <table name="ngs_sim_fasta" comment_char="#">
        <columns>value, dbkey, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/ngs_sim_fasta.loc" />
    </table>
    <!-- Locations of PerM base index files -->
    <table name="perm_base_indexes" comment_char="#">
        <columns>value, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/perm_base_index.loc" />
    </table>
    <!-- Locations of PerM color-space index files -->
    <table name="perm_color_indexes" comment_char="#">
        <columns>value, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/perm_color_index.loc" />
    </table>
    <!-- Location of Picard dict file and other files -->
    <table name="picard_indexes" comment_char="#">
        <columns>value, dbkey, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/picard_index.loc" />
    </table>
    <!-- Location of Picard dict files valid for GATK -->
    <table name="gatk_picard_indexes" comment_char="#">
        <columns>value, dbkey, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/gatk_sorted_picard_index.loc" />
    </table>
    <!-- Available of GATK references -->
    <table name="gatk_annotations" comment_char="#">
        <columns>value, name, gatk_value, tools_valid_for</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/gatk_annotations.txt" />
    </table>
    <!-- Location of SRMA dict file and other files -->
    <table name="srma_indexes" comment_char="#">
        <columns>value, dbkey, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/picard_index.loc" />
    </table>
    <!-- Locations of indexes in the Bowtie mapper format for TopHat to use -->
    <table name="tophat_indexes" comment_char="#">
        <columns>value, dbkey, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/bowtie_indices.loc" />
    </table>
    <!-- Locations of indexes in the Bowtie color-space mapper format for TopHat to use -->
    <table name="tophat_indexes_color" comment_char="#">
        <columns>value, dbkey, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/bowtie_indices_color.loc" />
    </table>
    <!-- Locations of indexes in the Bowtie2 mapper format for TopHat2 to use -->
    <table name="tophat2_indexes" comment_char="#">
        <columns>value, dbkey, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/bowtie2_indices.loc" />
    </table>
    <!-- Locations of configurations in the CCAT peak/region caller format -->
    <table name="ccat_configurations" comment_char="#">
        <columns>value, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/ccat_configurations.loc" />
    </table>
    <!-- Location of Mosaik files -->
    <table name="mosaik_indexes" comment_char="#">
        <columns>value, dbkey, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/mosaik_index.loc" />
    </table>
    <!-- Locations of indexes in the Bowtie mapper format -->
    <table name="bowtie_indexes" comment_char="#">
        <columns>value, dbkey, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/bowtie_indices.loc" />
    </table>
    <!-- Locations of indexes in the Bowtie color-space mapper format -->
    <table name="bowtie_indexes_color" comment_char="#">
        <columns>value, dbkey, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/bowtie_indices_color.loc" />
    </table>
    <!-- Locations of 2bit sequence files for use in Lastz -->
    <table name="lastz_seqs" comment_char="#">
        <columns>value, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/lastz_seqs.loc" />
    </table>
    <!-- Location of SAMTools indexes and other files -->
    <table name="sam_fa_indexes" comment_char="#">
        <columns>line_type, value, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/sam_fa_indices.loc" />
    </table>
    <!-- Location of SAMTools generated FASTA indexes -->
    <table comment_char="#" name="fasta_indexes">
        <columns>value, dbkey, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/fasta_indexes.loc" />
    </table>
    <!-- Available liftOver chain file -->
    <table name="liftOver" comment_char="#">
        <columns>dbkey, name, value</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/liftOver.loc" />
    </table>
    <!-- 2bit files -->
    <table name="twobit" comment_char="#">
        <columns>value, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/twobit.loc" />
    </table>
    <!-- Locations of all customProDB annotations under genome directory -->
    <table name="customProDB" comment_char="#">
        <columns>value, dbkey, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/customProDB.loc" />
    </table>
    <!-- Locations of indexes in the hisat mapper format -->
    <table name="hisat2_indexes" comment_char="#">
        <columns>value, dbkey, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/hisat2_indexes.loc" />
    </table>
    <!-- Locations of genomes indexed for RNASTAR -->
    <table name="rnastar_index2x_versioned" comment_char="#" allow_duplicate_entries="False">
        <columns>value, dbkey, name, path, with_gene_model, version</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/rnastar_index2x_versioned.loc" />
    </table>
    <!-- Locations of snpEff genome databases-->
    <table comment_char="#" name="snpeffv_genomedb">
        <columns>key, version, value, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/snpeffv_genomedb.loc"/>
    </table>
    <!-- Locations of bwameth indexes-->
    <table comment_char="#" name="bwameth_indexes">
        <columns>value, dbkey, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/bwameth_indexes.loc"/>
    </table>
    <!-- Locations of versioned MetaPhlAn databases -->
    <table name="metaphlan_database_versioned" comment_char="#">
        <columns>value, name, dbkey, path, db_version</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/metaphlan_database_versioned.loc"/>
    </table>
    <!-- Location of Busco databases -->
    <table name="busco_database" comment_char="#">
        <columns>value, name, version, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/busco_database.loc" />
    </table>
    <!-- Location of NCBI FCS GX databases -->
    <table name="ncbi_fcs_gx_databases" comment_char="#">
        <columns>value, source_manifest, name</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/ncbi_fcs_gx_databases.loc" />
    </table>
    <!-- Location of NCBI FCS GX databases -->
    <table name="ncbi_fcs_gx_databases_ext" comment_char="#">
        <columns>value, name, source_manifest, use_source_manifest, phone_home, phone_home_label, local_manifest</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/ncbi_fcs_gx_databases_ext.loc" />
    </table>
    <!-- Location of NCBI FCS GX divisions -->
    <table name="ncbi_fcs_gx_divisions" comment_char="#">
        <columns>value, tag, name</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/ncbi_fcs_gx_divisions.tsv" />
    </table>
    <!-- Location of NCBI FCS GX tool config (deprecated) -->
    <table name="ncbi_fcs_gx_config" comment_char="#">
        <columns>value, name, use_source_manifest, phone_home, phone_home_label, node_cache_dir</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/ncbi_fcs_gx_config.tsv" />
    </table>
    <table comment_char="#" name="rRNA_databases">
        <columns>value, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/rRNA_databases.loc"/>
    </table>
    <table comment_char="#" name="mitos">
        <columns>value, name, type, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/mitos.loc"/>
    </table>
    <table name="dada2_species" comment_char="#">
        <columns>value, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/dada2_species.loc" />
    </table>
    <table name="dada2_taxonomy" comment_char="#">
        <columns>value, name, path, taxlevels</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/dada2_taxonomy.loc" />
    </table>
    <table name="mapseq_db" comment_char="#">
        <columns>value, name, version, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/mapseq_db.loc"/>
    </table>
    <table name="bracken_databases" comment_char="#">
        <columns>value, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/bracken_databases.loc"/>
    </table>
    <table name="plasmidfinder_database" comment_char="#">
        <columns>value, name, date, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/plasmidfinder_database.loc"/>
    </table>
    <table name="amrfinderplus_database" comment_char="#">
        <columns>value, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/amrfinderplus.loc"/>
    </table>
    <table name="amrfinderplus_versioned_database" comment_char="#">
        <columns>value, name, db_version, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/amrfinderplus_versioned.loc"/>
    </table>
    <!--<table name="bakta_database" comment_char="#">
        <columns>value, dbkey, bakta_version, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/bakta_database.loc"/>
    </table>-->
    <table comment_char="#" name="ncbi_taxonomy">
        <columns>value, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/ncbi_taxonomy.loc"/>
    </table>
    <table name="humann_protein_database" comment_char="#">
        <columns>value, name, dbkey, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/humann_protein_database.loc" />
    </table>
    <table name="humann_nucleotide_database" comment_char="#">
        <columns>value, name, dbkey, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/humann_nucleotide_database.loc" />
    </table>
    <table name="omamer" comment_char="#">
        <columns>value, name, version, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/byhand/location/omamer.loc"/>
    </table>
</tables>
